Bug 112999 - editors/nedit broken by either xorg-7.2 or gcc-4.2 imports
Summary: editors/nedit broken by either xorg-7.2 or gcc-4.2 imports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Price
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-25 18:30 UTC by sgk
Modified: 2008-08-27 23:20 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sgk 2007-05-25 18:30:02 UTC
mobile:kargl[201] nedit txt
Segmentation fault (core dumped)

(gdb) bt
#0  0x282af7e2 in _XmGetWidgetExtData () from /usr/X11R6/lib/libXm.so.3
#1  0x282b75e7 in _XmImRealize () from /usr/X11R6/lib/libXm.so.3
#2  0x282bf4fc in Realize () from /usr/X11R6/lib/libXm.so.3
#3  0x282af891 in RealizeWrapper () from /usr/X11R6/lib/libXm.so.3
#4  0x2841175f in RealizeWidget () from /usr/X11R6/lib/libXt.so.6
#5  0xbfbfd9b8 in ?? ()
#6  0xbfbfd96c in ?? ()
#7  0x00000000 in ?? ()
#8  0x28178000 in ?? ()
#9  0xbfbfd984 in ?? ()
#10 0x2814f617 in dladdr () from /libexec/ld-elf.so.1
Previous frame inner to this frame (corrupt stack?)

Note, /usr/X11R6 is symlinked to /usr/local as per ports/UPDATING
for the xorg-7.2 import.

How-To-Repeat: 
Install nedit and try to edit a file.
Comment 1 sgk 2007-05-25 18:47:24 UTC
On Fri, May 25, 2007 at 05:30:02PM +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=112999
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       nedit broken by either xorg-7.2 or gcc-4.2 imports
> >Arrival-Date:   Fri May 25 17:30:02 GMT 2007

The fix appears to be that open-motif needs to be built
with -fno-strict-aliasing in the CFLAGS.

--- Makefile.orig       Fri May 25 10:46:39 2007
+++ Makefile    Fri May 25 10:29:30 2007
@@ -21,6 +21,8 @@
 
 RUN_DEPENDS=   imake:${X_IMAKE_PORT}
 
+CFLAGS+=-fno-strict-aliasing
+
 USE_AUTOTOOLS= libtool:15
 CONFLICTS=     lesstif-*
 USE_X_PREFIX=  yes

-- 
Steve
Comment 2 Edwin Groothuis freebsd_committer 2007-05-25 23:22:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->deischen

Over to maintainer
Comment 3 Daniel Eischen freebsd_committer 2007-06-03 07:18:10 UTC
Responsible Changed
From-To: deischen->steve

Submitter states that this is an open-motif problem.  Reassign to open-motif 
maintainer.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2007-07-10 16:50:29 UTC
State Changed
From-To: open->closed

Closed at submitter's request.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2007-07-11 23:22:29 UTC
State Changed
From-To: closed->open

Although submitter has lost interest in this one, on second examination 
it sounds as though it might still be a problem, so reopen.
Comment 6 Steve Price freebsd_committer 2008-08-27 23:14:14 UTC
State Changed
From-To: open->closed

Patch from Steve Kargl submitted.  Thanks.
Comment 7 dfilter service freebsd_committer 2008-08-27 23:14:20 UTC
steve       2008-08-27 22:14:06 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/open-motif Makefile 
  Log:
  Keep ports depending on the Motif libraries from crashing on 7.x.
  
  PR:             112999, 117626
  Submitted by:   sgk@troutmask.apl.washington.edu
  
  Revision  Changes    Path
  1.45      +1 -0      ports/x11-toolkits/open-motif/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"